olsrd2_static(1)

NAME
olsrd2_static - OLSRv2 routing agent of OLSR.org

SYNOPSIS
olsrd2_static [ -h, --help ] [ -v, --version ] [ -p, --plugin= shared-library ] [ -q, --quit ] [ --schema ] [ --schema= spec ] [ -L, --load= SOURCE ] [ -S, --save= TARGET ] [ -s, --set= spec ] [ -r, --remove= spec ] [ -g, --get= spec ] [ --Xearlydebug ] [ --Xignoreunknown ] interfaces ...

DESCRIPTION
olsrd2_static runs the OLSRv2 (RFC7181 and RFC6130) routing protocol on one or multiple interfaces. It builds up a routing table to make all other OLSRd2 instances and their attached networks reachable through IP forwarding.

OPTIONS

-h, --help
    Display this help file

-v, --version
    Display the version string and the included static plugins

-p, --plugin=shared-library
    Load a shared library as a plugin

-q, --quit
    Load plugins and validate configuration, then end

--schema
    Display all allowed section types of configuration

--schema=all
    Display all allowed entries in all sections

--schema=section_type
    Display all allowed entries of one configuration section

--schema=section_type.key
    Display help text for configuration entry

-l, --load=SOURCE
    Load configuration from a SOURCE

-S, --save=TARGET
    Save configuration to a TARGET

-s, --set=section_type.
    Add an unnamed section to the configuration

-s, --set=section_type.key=value
    Add a key/value pair to an unnamed section

-s, --set=section_type[name].
    Add a named section to the configuration

-s, --set=section_type[name].key=value
    Add a key/value pair to a named section

-r, --remove=section_type.
    Remove all sections of a certain type

-r, --remove=section_type.key
    Remove a key in an unnamed section

-r, --remove=section_type[name].
    Remove a named section

-r, --remove=section_type[name].key
    Remove a key in a named section

-g, --get
    Show all section types in database

-g, --get=section_type.
    Show all named sections of a certain type

-g, --get=section_type.key
    Show the value(s) of a key in an unnamed section

-g, --get=section_type[name].key
    Show the value(s) of a key in a named section

--Xearlydebug
    Activate debugging output before configuration could be parsed

--Xignoreunknown
    Ignore unknown command line arguments

DESCRIPTION
See http://www.olsr.org for a more detailed description of olsrd2 and its components.

FILES
/etc/olsrd2/olsrd2.conf
    The system wide configuration file.

AUTHOR
Henning Rogge <henning.rogge@fkie.fraunhofer.de>